;*
;* IBMPC1 8x8 Character Set Macros
;*
;* Initials: JF = Jeff Frohwein
;*
;* Rev 1.0 - 21-Jul-97 : Original release of first 128 chars - JF
;* Rev 1.1 - 27-Jul-97 : Modified for new subroutine prefixes - JF
;*
;* Library Macros:
;*
;* chr_IBMPC1 -
;*   Insert IBMPC fonts into code.
;*
;*  This macro allows you to insert parts or the whole
;* character set into your code. Parameters: 1=$00-$1f,
;* 2=$20-$3f, 3=$40-$5f, and 4=$60-7f. Examples:
;*
;*     chr_IBMPC1 1,4      - Insert chars $00 - $7f.
;*     chr_IBMPC1 2,2      - Insert chars $20 - $3f.
;*

; If all of these are already defined, don't do it again.

        IF      !DEF(IBMPC1_INC)
IBMPC1_INC  SET  1

rev_Check_ibmpc1_inc: MACRO
;NOTE: REVISION NUMBER CHANGES MUST BE ADDED
;TO SECOND PARAMETER IN FOLLOWING LINE.
        IF      \1 > 1.1      ; <--- PUT REVISION NUMBER HERE
        WARN    "Version \1 or later of 'ibmpc1.inc' is required."
        ENDC
        ENDM

chr_IBMPC1: MACRO 

        IF      (\1 == 0) || (\2 == 0) || (\1 > \2) || (\2 > 4)
        FAIL    "Font range values are invalid"
        ENDC

        PUSHO
; Define . and X to be 0 and 1
        OPT     b.X

; Characters $00 - $1f

        IF      (\1 == 1)

        DB      %.XXXXXX.  ;Used to be a space ?????
        DB      %.X....X.
        DB      %.X....X.
        DB      %.X....X.
        DB      %.X....X.
        DB      %.X....X.
        DB      %.X....X.
        DB      %.XXXXXX.

        DB      %.XXXXXX.
        DB      %X......X
        DB      %X.X..X.X
        DB      %X......X
        DB      %X.XXXX.X
        DB      %X..XX..X
        DB      %X......X
        DB      %.XXXXXX.

        DB      %.XXXXXX.
        DB      %XXXXXXXX
        DB      %XX.XX.XX
        DB      %XXXXXXXX
        DB      %XX....XX
        DB      %XXX..XXX
        DB      %XXXXXXXX
        DB      %.XXXXXX.

        DB      %.XX.XX..
        DB      %XXXXXXX.
        DB      %XXXXXXX.
        DB      %XXXXXXX.
        DB      %.XXXXX..
        DB      %..XXX...
        DB      %...X....
        DB      %........

        DB      %...X....
        DB      %..XXX...
        DB      %.XXXXX..
        DB      %XXXXXXX.
        DB      %.XXXXX..
        DB      %..XXX...
        DB      %...X....
        DB      %........

        DB      %..XXX...
        DB      %.XXXXX..
        DB      %..XXX...
        DB      %XXXXXXX.
        DB      %XXXXXXX.
        DB      %.XXXXX..
        DB      %..XXX...
        DB      %.XXXXX..

        DB      %...X....
        DB      %...X....
        DB      %..XXX...
        DB      %.XXXXX..
        DB      %XXXXXXX.
        DB      %.XXXXX..
        DB      %..XXX...
        DB      %.XXXXX..

        DB      %........
        DB      %........
        DB      %...XX...
        DB      %..XXXX..
        DB      %..XXXX..
        DB      %...XX...
        DB      %........
        DB      %........

        DB      %XXXXXXXX
        DB      %XXXXXXXX
        DB      %XXX..XXX
        DB      %XX....XX
        DB      %XX....XX
        DB      %XXX..XXX
        DB      %XXXXXXXX
        DB      %XXXXXXXX

        DB      %........
        DB      %..XXXX..
        DB      %.XX..XX.
        DB      %.X....X.
        DB      %.X....X.
        DB      %.XX..XX.
        DB      %..XXXX..
        DB      %........

        DB      %XXXXXXXX
        DB      %XX....XX
        DB      %X..XX..X
        DB      %X.XXXX.X
        DB      %X.XXXX.X
        DB      %X..XX..X
        DB      %XX....XX
        DB      %XXXXXXXX

        DB      %....XXXX
        DB      %.....XXX
        DB      %....XXXX
        DB      %.XXXXX.X
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXXX...

        DB      %..XXXX..
        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %..XXXX..
        DB      %...XX...
        DB      %.XXXXXX.
        DB      %...XX...

        DB      %..XXXXXX
        DB      %..XX..XX
        DB      %..XXXXXX
        DB      %..XX....
        DB      %..XX....
        DB      %.XXX....
        DB      %XXXX....
        DB      %XXX.....

        DB      %.XXXXXXX
        DB      %.XX...XX
        DB      %.XXXXXXX
        DB      %.XX...XX
        DB      %.XX...XX
        DB      %.XX..XXX
        DB      %XXX..XX.
        DB      %XX......

        DB      %X..XX..X
        DB      %.X.XX.X.
        DB      %..XXXX..
        DB      %XXX..XXX
        DB      %XXX..XXX
        DB      %..XXXX..
        DB      %.X.XX.X.
        DB      %X..XX..X

        DB      %X.......
        DB      %XXX.....
        DB      %XXXXX...
        DB      %XXXXXXX.
        DB      %XXXXX...
        DB      %XXX.....
        DB      %X.......
        DB      %........

        DB      %......X.
        DB      %....XXX.
        DB      %..XXXXX.
        DB      %XXXXXXX.
        DB      %..XXXXX.
        DB      %....XXX.
        DB      %......X.
        DB      %........

        DB      %...XX...
        DB      %..XXXX..
        DB      %.XXXXXX.
        DB      %...XX...
        DB      %...XX...
        DB      %.XXXXXX.
        DB      %..XXXX..
        DB      %...XX...

        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %........
        DB      %.XX..XX.
        DB      %........

        DB      %.XXXXXXX
        DB      %XX.XX.XX
        DB      %XX.XX.XX
        DB      %.XXXX.XX
        DB      %...XX.XX
        DB      %...XX.XX
        DB      %...XX.XX
        DB      %........

        DB      %..XXXXX.
        DB      %.XX...XX
        DB      %..XXX...
        DB      %.XX.XX..
        DB      %.XX.XX..
        DB      %..XXX...
        DB      %XX..XX..
        DB      %.XXXX...

        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %.XXXXXX.
        DB      %.XXXXXX.
        DB      %.XXXXXX.
        DB      %........

        DB      %...XX...
        DB      %..XXXX..
        DB      %.XXXXXX.
        DB      %...XX...
        DB      %.XXXXXX.
        DB      %..XXXX..
        DB      %...XX...
        DB      %XXXXXXXX

        DB      %...XX...
        DB      %..XXXX..
        DB      %.XXXXXX.
        DB      %...XX...
        DB      %...XX...
        DB      %...XX...
        DB      %...XX...
        DB      %........

        DB      %...XX...
        DB      %...XX...
        DB      %...XX...
        DB      %...XX...
        DB      %.XXXXXX.
        DB      %..XXXX..
        DB      %...XX...
        DB      %........

        DB      %........
        DB      %...XX...
        DB      %....XX..
        DB      %XXXXXXX.
        DB      %....XX..
        DB      %...XX...
        DB      %........
        DB      %........

        DB      %........
        DB      %..XX....
        DB      %.XX.....
        DB      %XXXXXXX.
        DB      %.XX.....
        DB      %..XX....
        DB      %........
        DB      %........

        DB      %........
        DB      %........
        DB      %XX......
        DB      %XX......
        DB      %XX......
        DB      %XXXXXXX.
        DB      %........
        DB      %........

        DB      %........
        DB      %..X..X..
        DB      %.XX..XX.
        DB      %XXXXXXXX
        DB      %.XX..XX.
        DB      %..X..X..
        DB      %........
        DB      %........

        DB      %........
        DB      %...XX...
        DB      %..XXXX..
        DB      %.XXXXXX.
        DB      %XXXXXXXX
        DB      %XXXXXXXX
        DB      %........
        DB      %........

        DB      %........
        DB      %XXXXXXXX
        DB      %XXXXXXXX
        DB      %.XXXXXX.
        DB      %..XXXX..
        DB      %...XX...
        DB      %........
        DB      %........

        ENDC

; Characters $20 - $3f

        IF      (\1 < 3) && (\2 > 1)

        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %........

        DB      %..XX....
        DB      %.XXXX...
        DB      %.XXXX...
        DB      %.XXXX...
        DB      %..XX....
        DB      %........
        DB      %..XX....
        DB      %........

        DB      %.XX.XX..
        DB      %.XX.XX..
        DB      %.XX.XX..
        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %........

        DB      %.XX.XX..
        DB      %.XX.XX..
        DB      %XXXXXXX.
        DB      %.XX.XX..
        DB      %XXXXXXX.
        DB      %.XX.XX..
        DB      %.XX.XX..
        DB      %........

        DB      %..XX....
        DB      %.XXXXX..
        DB      %XX......
        DB      %.XXXX...
        DB      %....XX..
        DB      %XXXXX...
        DB      %..XX....
        DB      %........

        DB      %........
        DB      %XX...XX.
        DB      %XX..XX..
        DB      %...XX...
        DB      %..XX....
        DB      %.XX..XX.
        DB      %XX...XX.
        DB      %........

        DB      %..XXX...
        DB      %.XX.XX..
        DB      %..XXX...
        DB      %.XXX.XX.
        DB      %XX.XXX..
        DB      %XX..XX..
        DB      %.XXX.XX.
        DB      %........

        DB      %.XX.....
        DB      %.XX.....
        DB      %XX......
        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %........

        DB      %...XX...
        DB      %..XX....
        DB      %.XX.....
        DB      %.XX.....
        DB      %.XX.....
        DB      %..XX....
        DB      %...XX...
        DB      %........

        DB      %.XX.....
        DB      %..XX....
        DB      %...XX...
        DB      %...XX...
        DB      %...XX...
        DB      %..XX....
        DB      %.XX.....
        DB      %........

        DB      %........
        DB      %.XX..XX.
        DB      %..XXXX..
        DB      %XXXXXXXX
        DB      %..XXXX..
        DB      %.XX..XX.
        DB      %........
        DB      %........

        DB      %........
        DB      %..XX....
        DB      %..XX....
        DB      %XXXXXX..
        DB      %..XX....
        DB      %..XX....
        DB      %........
        DB      %........

        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %..XX....
        DB      %..XX....
        DB      %.XX.....

        DB      %........
        DB      %........
        DB      %........
        DB      %XXXXXX..
        DB      %........
        DB      %........
        DB      %........
        DB      %........

        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %..XX....
        DB      %..XX....
        DB      %........

        DB      %.....XX.
        DB      %....XX..
        DB      %...XX...
        DB      %..XX....
        DB      %.XX.....
        DB      %XX......
        DB      %X.......
        DB      %........

        DB      %.XXXXX..
        DB      %XX...XX.
        DB      %XX..XXX.
        DB      %XX.XXXX.
        DB      %XXXX.XX.
        DB      %XXX..XX.
        DB      %.XXXXX..
        DB      %........

        DB      %..XX....
        DB      %.XXX....
        DB      %..XX....
        DB      %..XX....
        DB      %..XX....
        DB      %..XX....
        DB      %XXXXXX..
        DB      %........

        DB      %.XXXX...
        DB      %XX..XX..
        DB      %....XX..
        DB      %..XXX...
        DB      %.XX.....
        DB      %XX..XX..
        DB      %XXXXXX..
        DB      %........

        DB      %.XXXX...
        DB      %XX..XX..
        DB      %....XX..
        DB      %..XXX...
        DB      %....XX..
        DB      %XX..XX..
        DB      %.XXXX...
        DB      %........

        DB      %...XXX..
        DB      %..XXXX..
        DB      %.XX.XX..
        DB      %XX..XX..
        DB      %XXXXXXX.
        DB      %....XX..
        DB      %...XXXX.
        DB      %........

        DB      %XXXXXX..
        DB      %XX......
        DB      %XXXXX...
        DB      %....XX..
        DB      %....XX..
        DB      %XX..XX..
        DB      %.XXXX...
        DB      %........

        DB      %..XXX...
        DB      %.XX.....
        DB      %XX......
        DB      %XXXXX...
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXXX...
        DB      %........

        DB      %XXXXXX..
        DB      %XX..XX..
        DB      %....XX..
        DB      %...XX...
        DB      %..XX....
        DB      %..XX....
        DB      %..XX....
        DB      %........

        DB      %.XXXX...
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXXX...
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXXX...
        DB      %........

        DB      %.XXXX...
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXXXX..
        DB      %....XX..
        DB      %...XX...
        DB      %.XXX....
        DB      %........

        DB      %........
        DB      %..XX....
        DB      %..XX....
        DB      %........
        DB      %........
        DB      %..XX....
        DB      %..XX....
        DB      %........

        DB      %........
        DB      %..XX....
        DB      %..XX....
        DB      %........
        DB      %........
        DB      %..XX....
        DB      %..XX....
        DB      %.XX.....

        DB      %...XX...
        DB      %..XX....
        DB      %.XX.....
        DB      %XX......
        DB      %.XX.....
        DB      %..XX....
        DB      %...XX...
        DB      %........

        DB      %........
        DB      %........
        DB      %XXXXXX..
        DB      %........
        DB      %........
        DB      %XXXXXX..
        DB      %........
        DB      %........

        DB      %.XX.....
        DB      %..XX....
        DB      %...XX...
        DB      %....XX..
        DB      %...XX...
        DB      %..XX....
        DB      %.XX.....
        DB      %........

        DB      %.XXXX...
        DB      %XX..XX..
        DB      %....XX..
        DB      %...XX...
        DB      %..XX....
        DB      %........
        DB      %..XX....
        DB      %........

        ENDC

; Characters $40 - $5f

        IF      (\1 < 4) && (\2 > 2)

        DB      %.XXXXX..
        DB      %XX...XX.
        DB      %XX.XXXX.
        DB      %XX.XXXX.
        DB      %XX.XXXX.
        DB      %XX......
        DB      %.XXXX...
        DB      %........

        DB      %..XX....
        DB      %.XXXX...
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XXXXXX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %........

        DB      %XXXXXX..
        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %.XXXXX..
        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %XXXXXX..
        DB      %........

        DB      %..XXXX..
        DB      %.XX..XX.
        DB      %XX......
        DB      %XX......
        DB      %XX......
        DB      %.XX..XX.
        DB      %..XXXX..
        DB      %........

        DB      %XXXXX...
        DB      %.XX.XX..
        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %.XX.XX..
        DB      %XXXXX...
        DB      %........

        DB      %.XXXXXX.
        DB      %.XX.....
        DB      %.XX.....
        DB      %.XXXX...
        DB      %.XX.....
        DB      %.XX.....
        DB      %.XXXXXX.
        DB      %........

        DB      %.XXXXXX.
        DB      %.XX.....
        DB      %.XX.....
        DB      %.XXXX...
        DB      %.XX.....
        DB      %.XX.....
        DB      %.XX.....
        DB      %........

        DB      %..XXXX..
        DB      %.XX..XX.
        DB      %XX......
        DB      %XX......
        DB      %XX..XXX.
        DB      %.XX..XX.
        DB      %..XXXXX.
        DB      %........

        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XXXXXX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %........

        DB      %.XXXX...
        DB      %..XX....
        DB      %..XX....
        DB      %..XX....
        DB      %..XX....
        DB      %..XX....
        DB      %.XXXX...
        DB      %........

        DB      %...XXXX.
        DB      %....XX..
        DB      %....XX..
        DB      %....XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXXX...
        DB      %........

        DB      %XXX..XX.
        DB      %.XX..XX.
        DB      %.XX.XX..
        DB      %.XXXX...
        DB      %.XX.XX..
        DB      %.XX..XX.
        DB      %XXX..XX.
        DB      %........

        DB      %.XX.....
        DB      %.XX.....
        DB      %.XX.....
        DB      %.XX.....
        DB      %.XX.....
        DB      %.XX.....
        DB      %.XXXXXX.
        DB      %........

        DB      %XX...XX.
        DB      %XXX.XXX.
        DB      %XXXXXXX.
        DB      %XXXXXXX.
        DB      %XX.X.XX.
        DB      %XX...XX.
        DB      %XX...XX.
        DB      %........

        DB      %XX...XX.
        DB      %XXX..XX.
        DB      %XXXX.XX.
        DB      %XX.XXXX.
        DB      %XX..XXX.
        DB      %XX...XX.
        DB      %XX...XX.
        DB      %........

        DB      %..XXX...
        DB      %.XX.XX..
        DB      %XX...XX.
        DB      %XX...XX.
        DB      %XX...XX.
        DB      %.XX.XX..
        DB      %..XXX...
        DB      %........

        DB      %XXXXXX..
        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %.XXXXX..
        DB      %.XX.....
        DB      %.XX.....
        DB      %XXXX....
        DB      %........

        DB      %.XXXX...
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX.XXX..
        DB      %.XXXX...
        DB      %...XXX..
        DB      %........

        DB      %XXXXXX..
        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %.XXXXX..
        DB      %.XX.XX..
        DB      %.XX..XX.
        DB      %XXX..XX.
        DB      %........

        DB      %.XXXX...
        DB      %XX..XX..
        DB      %XXX.....
        DB      %.XXX....
        DB      %...XXX..
        DB      %XX..XX..
        DB      %.XXXX...
        DB      %........

        DB      %XXXXXX..
        DB      %..XX....
        DB      %..XX....
        DB      %..XX....
        DB      %..XX....
        DB      %..XX....
        DB      %..XX....
        DB      %........

        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XXXXXX..
        DB      %........

        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXXX...
        DB      %..XX....
        DB      %........

        DB      %XX...XX.
        DB      %XX...XX.
        DB      %XX...XX.
        DB      %XX.X.XX.
        DB      %XXXXXXX.
        DB      %XXX.XXX.
        DB      %XX...XX.
        DB      %........

        DB      %XX...XX.
        DB      %XX...XX.
        DB      %.XX.XX..
        DB      %..XXX...
        DB      %..XXX...
        DB      %.XX.XX..
        DB      %XX...XX.
        DB      %........

        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXXX...
        DB      %..XX....
        DB      %..XX....
        DB      %.XXXX...
        DB      %........

        DB      %XXXXXXX.
        DB      %.....XX.
        DB      %....XX..
        DB      %...XX...
        DB      %..XX....
        DB      %.XX.....
        DB      %XXXXXXX.
        DB      %........

        DB      %.XXXX...
        DB      %.XX.....
        DB      %.XX.....
        DB      %.XX.....
        DB      %.XX.....
        DB      %.XX.....
        DB      %.XXXX...
        DB      %........

        DB      %XX......
        DB      %.XX.....
        DB      %..XX....
        DB      %...XX...
        DB      %....XX..
        DB      %.....XX.
        DB      %......X.
        DB      %........

        DB      %.XXXX...
        DB      %...XX...
        DB      %...XX...
        DB      %...XX...
        DB      %...XX...
        DB      %...XX...
        DB      %.XXXX...
        DB      %........

        DB      %...X....
        DB      %..XXX...
        DB      %.XX.XX..
        DB      %XX...XX.
        DB      %........
        DB      %........
        DB      %........
        DB      %........

        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %XXXXXXXX

        ENDC

; Characters $60 - $7f

        IF      (\1 < 5) && (\2 > 3)

        DB      %..XX....
        DB      %..XX....
        DB      %...XX...
        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %........

        DB      %........
        DB      %........
        DB      %.XXXX...
        DB      %....XX..
        DB      %.XXXXX..
        DB      %XX..XX..
        DB      %.XXX.XX.
        DB      %........

        DB      %XXX.....
        DB      %.XX.....
        DB      %.XX.....
        DB      %.XXXXX..
        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %XX.XXX..
        DB      %........

        DB      %........
        DB      %........
        DB      %.XXXX...
        DB      %XX..XX..
        DB      %XX......
        DB      %XX..XX..
        DB      %.XXXX...
        DB      %........

        DB      %...XXX..
        DB      %....XX..
        DB      %....XX..
        DB      %.XXXXX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXX.XX.
        DB      %........

        DB      %........
        DB      %........
        DB      %.XXXX...
        DB      %XX..XX..
        DB      %XXXXXX..
        DB      %XX......
        DB      %.XXXX...
        DB      %........

        DB      %..XXX...
        DB      %.XX.XX..
        DB      %.XX.....
        DB      %XXXX....
        DB      %.XX.....
        DB      %.XX.....
        DB      %XXXX....
        DB      %........

        DB      %........
        DB      %........
        DB      %.XXX.XX.
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXXXX..
        DB      %....XX..
        DB      %XXXXX...

        DB      %XXX.....
        DB      %.XX.....
        DB      %.XX.XX..
        DB      %.XXX.XX.
        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %XXX..XX.
        DB      %........

        DB      %..XX....
        DB      %........
        DB      %.XXX....
        DB      %..XX....
        DB      %..XX....
        DB      %..XX....
        DB      %.XXXX...
        DB      %........

        DB      %....XX..
        DB      %........
        DB      %....XX..
        DB      %....XX..
        DB      %....XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXXX...

        DB      %XXX.....
        DB      %.XX.....
        DB      %.XX..XX.
        DB      %.XX.XX..
        DB      %.XXXX...
        DB      %.XX.XX..
        DB      %XXX..XX.
        DB      %........

        DB      %.XXX....
        DB      %..XX....
        DB      %..XX....
        DB      %..XX....
        DB      %..XX....
        DB      %..XX....
        DB      %.XXXX...
        DB      %........

        DB      %........
        DB      %........
        DB      %XX..XX..
        DB      %XXXXXXX.
        DB      %XXXXXXX.
        DB      %XX.X.XX.
        DB      %XX...XX.
        DB      %........

        DB      %........
        DB      %........
        DB      %XXXXX...
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %........

        DB      %........
        DB      %........
        DB      %.XXXX...
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXXX...
        DB      %........

        DB      %........
        DB      %........
        DB      %XX.XXX..
        DB      %.XX..XX.
        DB      %.XX..XX.
        DB      %.XXXXX..
        DB      %.XX.....
        DB      %XXXX....

        DB      %........
        DB      %........
        DB      %.XXX.XX.
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXXXX..
        DB      %....XX..
        DB      %...XXXX.

        DB      %........
        DB      %........
        DB      %XX.XXX..
        DB      %.XXX.XX.
        DB      %.XX..XX.
        DB      %.XX.....
        DB      %XXXX....
        DB      %........

        DB      %........
        DB      %........
        DB      %.XXXXX..
        DB      %XX......
        DB      %.XXXX...
        DB      %....XX..
        DB      %XXXXX...
        DB      %........

        DB      %...X....
        DB      %..XX....
        DB      %.XXXXX..
        DB      %..XX....
        DB      %..XX....
        DB      %..XX.X..
        DB      %...XX...
        DB      %........

        DB      %........
        DB      %........
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXX.XX.
        DB      %........

        DB      %........
        DB      %........
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXXX...
        DB      %..XX....
        DB      %........

        DB      %........
        DB      %........
        DB      %XX...XX.
        DB      %XX.X.XX.
        DB      %XXXXXXX.
        DB      %XXXXXXX.
        DB      %.XX.XX..
        DB      %........

        DB      %........
        DB      %........
        DB      %XX...XX.
        DB      %.XX.XX..
        DB      %..XXX...
        DB      %.XX.XX..
        DB      %XX...XX.
        DB      %........

        DB      %........
        DB      %........
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %XX..XX..
        DB      %.XXXXX..
        DB      %....XX..
        DB      %XXXXX...

        DB      %........
        DB      %........
        DB      %XXXXXX..
        DB      %X..XX...
        DB      %..XX....
        DB      %.XX..X..
        DB      %XXXXXX..
        DB      %........

        DB      %...XXX..
        DB      %..XX....
        DB      %..XX....
        DB      %XXX.....
        DB      %..XX....
        DB      %..XX....
        DB      %...XXX..
        DB      %........

        DB      %...XX...
        DB      %...XX...
        DB      %...XX...
        DB      %........
        DB      %...XX...
        DB      %...XX...
        DB      %...XX...
        DB      %........

        DB      %XXX.....
        DB      %..XX....
        DB      %..XX....
        DB      %...XXX..
        DB      %..XX....
        DB      %..XX....
        DB      %XXX.....
        DB      %........

        DB      %.XXX.XX.
        DB      %XX.XXX..
        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %........
        DB      %........

        DB      %........
        DB      %...X....
        DB      %..XXX...
        DB      %.XX.XX..
        DB      %XX...XX.
        DB      %XXXXXXX.
        DB      %........
        DB      %........

        ENDC

        POPO

        ENDM

        ENDC    ;IBMPC_INC
